Subject: Re: bug#73161: 29.4; Exporting Org Agenda to PDF with Cyrillic Characters

From: Eli Zaretskii <[email-masked]>
Date: Tue, 10 Sep 2024 17:45:20 +0300

> Cc: [email-masked]
> Date: Tue, 10 Sep 2024 16:51:28 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> However: I last used this with Emacs 21, which is before Emacs was
> converted to Unicode-based treatment of non-ASCII characters.  So it
> is possible that the above will not work with the current codebase,
> because ps-mule needs to decide which of the BDF fonts to use for each
> script (in your case Cyrillic), and I just don't remember if this code
> was adjusted to the changes we made in Emacs 23 (I think it was, but I
> am not sure).

Bad news: I tried that, and it doesn't seem to work.  I guess
something is missing in ps-mule.el to do the job in the current Emacs,
sigh...